org.jboss.jca.as.converters.wls.api.metadata

## Enum ConnectionDefinitionProperties.Tag

- java.lang.Object
- - java.lang.Enum<ConnectionDefinitionProperties.Tag>
  - - org.jboss.jca.as.converters.wls.api.metadata.ConnectionDefinitionProperties.Tag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConnectionDefinitionProperties.Tag>
  Enclosing interface:
    ConnectionDefinitionProperties

      public static enum ConnectionDefinitionProperties.Tag
      extends java.lang.Enum<ConnectionDefinitionProperties.Tag>

  A Tag.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTHENTICATION_MECHANISM` authentication-mechanism tag
    `LOGGING` logging tag
    `POOL_PARAMS` pool-params tag
    `PROPERTIES` properties tag
    `REAUTHENTICATION_SUPPORT` reauthentication-support tag
    `RES_AUTH` res-auth tag
    `TRANSATION_SUPPORT` transaction-support tag
    `UNKNOWN` always first

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConnectionDefinitionProperties.Tag` | `forName(java.lang.String localName)` Static method to get enum instance given localName string
    `java.lang.String` | `getLocalName()` Get the local name of this element.
    `java.lang.String` | `toString()`
    `static ConnectionDefinitionProperties.Tag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConnectionDefinitionProperties.Tag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ConnectionDefinitionProperties.Tag UNKNOWN

      always first

    - #### POOL_PARAMS

          public static final ConnectionDefinitionProperties.Tag POOL_PARAMS

      pool-params tag

    - #### LOGGING

          public static final ConnectionDefinitionProperties.Tag LOGGING

      logging tag

    - #### TRANSATION_SUPPORT

          public static final ConnectionDefinitionProperties.Tag TRANSATION_SUPPORT

      transaction-support tag

    - #### AUTHENTICATION_MECHANISM

          public static final ConnectionDefinitionProperties.Tag AUTHENTICATION_MECHANISM

      authentication-mechanism tag

    - #### REAUTHENTICATION_SUPPORT

          public static final ConnectionDefinitionProperties.Tag REAUTHENTICATION_SUPPORT

      reauthentication-support tag

    - #### PROPERTIES

          public static final ConnectionDefinitionProperties.Tag PROPERTIES

      properties tag

    - #### RES_AUTH

          public static final ConnectionDefinitionProperties.Tag RES_AUTH

      res-auth tag

  - ### Method Detail

    - #### values

          public static ConnectionDefinitionProperties.Tag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConnectionDefinitionProperties.Tag c : ConnectionDefinitionProperties.Tag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConnectionDefinitionProperties.Tag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getLocalName

          public java.lang.String getLocalName()

      Get the local name of this element.
      Returns:
        the local name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ConnectionDefinitionProperties.Tag>`

    - #### forName

          public static ConnectionDefinitionProperties.Tag forName(java.lang.String localName)

      Static method to get enum instance given localName string
      Parameters:
        `localName` - a string used as localname (typically tag name as defined in xsd)
      Returns:
        the enum instance

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)